// File to draw a 2.5" hard drive
// Also defines hole sizes/locations


// Drive outside dimensions
HD2_5Len = 100.45;  // Max length
HD2_5Wid = 70.01;  // Max width
HD2_5Thk = 7;  // Max thickness

// Mounting hole locations
HD2_5BotHoleSpc = 61.72;	// Distance across width of drive for
							// bottom mounting holes. Holes are centered.
HD2_5SideHoleUp = 3;  // Side hole distance from bottom of drive
HD2_HoleX1 = 14;  // Distance from connector end to mounting holes, along length.
HD2_HoleX2 = 90.6;


// doHD2_5();

// FUntion to draw a 2.5" hard drive
module doHD2_5()
{
	difference()
	{
		color("Brown")
			cube([HD2_5Len,HD2_5Wid,HD2_5Thk]);
		translate([HD2_HoleX1,(HD2_5Wid-HD2_5BotHoleSpc)/2,-1])
			cylinder(3,d=3,$fn=36);
		translate([HD2_HoleX1,(HD2_5Wid-HD2_5BotHoleSpc)/2+HD2_5BotHoleSpc,-1])
			cylinder(3,d=3,$fn=36);
		translate([HD2_HoleX2,(HD2_5Wid-HD2_5BotHoleSpc)/2,-1])
			cylinder(3,d=3,$fn=36);
		translate([HD2_HoleX2,(HD2_5Wid-HD2_5BotHoleSpc)/2+HD2_5BotHoleSpc,-1])
			cylinder(3,d=3,$fn=36);
		translate([HD2_HoleX1,-1,HD2_5SideHoleUp])
			rotate([-90,0,0])
				cylinder(3,d=3,$fn=36);
		translate([HD2_HoleX2,-1,HD2_5SideHoleUp])
			rotate([-90,0,0])
				cylinder(3,d=3,$fn=36);
		translate([HD2_HoleX1,HD2_5Wid+1,HD2_5SideHoleUp])
			rotate([90,0,0])
				cylinder(3,d=3,$fn=36);
		translate([HD2_HoleX2,HD2_5Wid+1,HD2_5SideHoleUp])
			rotate([90,0,0])
				cylinder(3,d=3,$fn=36);
	}
}
